Skip to main content
POST
/
api
/
crossdocks
Create a crossdock
curl --request POST \
  --url https://clarus-api.com/api/crossdocks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "crossdocks",
    "attributes": {
      "account_id": 7,
      "reference": "XD-2026-0042",
      "expected_date_of_receipt": "2026-06-20T09:00:00Z",
      "inbound_method": "delivery",
      "warehouse_id": 2
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "crossdocks",
    "attributes": {
      "id": "501",
      "reference": "XD-2026-0042",
      "status": "pending",
      "inbound_method": "delivery",
      "expected_date_of_receipt": "2026-06-20T09:00:00Z"
    }
  }
}

Request Structure

{
  "data": {
    "type": "crossdocks",
    "attributes": {
      "account_id": 7,
      "reference": "XD-2026-0042",
      "expected_date_of_receipt": "2026-06-20T09:00:00Z",
      "inbound_method": "delivery"
    }
  }
}
FieldRequiredDescription
account_idYesStock account
referenceYesCrossdock reference
expected_date_of_receiptYesExpected receipt date/time
inbound_methodNodelivery or collection
statusNopending, confirmed, received, completed
This endpoint manages external crossdocks. Custom fields (string15, integer15, boolean15, datetime15) and a nested address are also accepted.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Created successfully

The response is of type object.